import java.util.ArrayList;
import java.util.Scanner;


public class Exercice1 {

	public static void main(String[] args) {
		// Ouverture de l'entre clavier
		Scanner scanner = new Scanner(System.in);
		// Rcupration de la liste des notes
		ArrayList<Integer> grades = getGradesFromInput(scanner);
		// Calcul du total
		Integer totalGrades = 0;
		for (Integer note : grades) {
			totalGrades += note;
		}
		// Calcul de la moyenne
		if (grades.size() > 0) {
			System.out.println( "La moyenne est de " + (totalGrades/grades.size()) );
		} else {
			System.out.println( "Aucune note n'a t entre" );
		}
		// Fermeture de l'entre clavier
		scanner.close();
	}
	
	// Demande la liste des notes et la retourne
	public static ArrayList<Integer> getGradesFromInput(Scanner scanner) {
		ArrayList<Integer> grades = new ArrayList<Integer>();
		String line = "";
		int note = 0;
		do {
			System.out.print("Entrez une note: ");
			// Rcupration d'une ligne entre par l'utilisateur
			line = scanner.nextLine();
			try {
				// Conversion en entier
				note = Integer.parseInt(line);
				if (note >= 0 && note <= 20) {
					// Ajout dans la liste de notes
					grades.add(note);
				} else {
					System.out.println("! La note doit tre comprise entre 0 et 20");
				}
			} catch (NumberFormatException e) {
				if (!line.equalsIgnoreCase("fini"))
					System.out.println("! Le nombre entr n'tait pas un entier");
			}
		} while (!line.equalsIgnoreCase("fini"));
		return grades;
	}

}
