import java.io.File;
import java.io.FilenameFilter;
import java.io.IOException;
import java.util.Scanner;


public class Exercice2 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Entrez un chemin  tester: ");
		testFile(scanner.nextLine());
		scanner.close();
	}

	static void testFile (String path) {
		File file = new File(path);
		if (file.exists()) {
			if (file.isFile()) {
				System.out.println("Le chemin correpond  un fichier");
			} else if (file.isDirectory()) {
				System.out.println("Le chemin correpond  un dossier");
				// c) Affichage de la liste des lments contenus dans le dossier
				for (File filename : file.listFiles()) {
					System.out.println(filename.getAbsolutePath());
				}
				// d) Affichage uniquement des fichiers ".java" se trouvant dans le dossier
				// On utilise ici une classe anonyme, qui nous vite de crer une classe qui hrite de FilenameFilter
				for (File filename : file.listFiles(new FilenameFilter() {
					public boolean accept(File folder, String filename) {
						return filename.endsWith(".java");
					}
				})) {
					System.out.println(filename.getAbsolutePath());
				}
			}
		} else {
			System.out.println("Le chemin ne correspond  aucun fichier ou dossier");
			// b) Cration d'un fichier vide
			try {
				file.createNewFile();
			} catch (IOException e) {
				System.out.println("Erreur dans la cration du fichier");
			}
		}
	}
	
}
